SetObjectEnabled("001", false);
SetObjectEnabled("002", false);
SetObjectEnabled("003", false);

function message1()
MessageBox("Maps/SingleMissions/Path/KWEST1.txt")
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "kwest1", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "kwest1", "message1");

 function number1 ()
 SetRegionBlocked ("right", true,1);
 end;
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "left", "number1");

 function number2 ()
 SetRegionBlocked ("left", true,1);
 end;
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "right", "number2");


function message2()
MessageBox("Maps/SingleMissions/Path/SMS.txt")
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "sms", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "sms", "message2");

function message3()
MessageBox("Maps/SingleMissions/Path/LICH.txt")
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "lich", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "lich", "message3");

function message4()
MessageBox("Maps/SingleMissions/Path/PRIRODA.txt")
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "priroda", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "priroda", "message4");

 function message5()
MessageBox("Maps/SingleMissions/Path/PROBLEM.txt")
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "problem", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "problem", "message5");

function BOOM()
SetRegionBlocked ("block", true,1);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "boom", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "boom", "BOOM");

function lock()
SetRegionBlocked ("block", false,1);
end;

Trigger(OBJECT_TOUCH_TRIGGER, "002", "lock");

function message6()
MessageBox("Maps/SingleMissions/Path/ZAGADKA.txt")
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "zagadka", nil);
end;
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "zagadka", "message6");

function vot()
StartCombat("Gles",nil,3,16,30,17,25,18,10, nil,nil,nil);
 Trigger(OBJECT_TOUCH_TRIGGER, "001", nil);
end;

 Trigger(OBJECT_TOUCH_TRIGGER, "001", "vot");
 
 function votkak()
StartCombat("Gles",nil,3,20,210,22,55,16,250,nil,nil,nil);
 Trigger(OBJECT_TOUCH_TRIGGER, "003", nil);
end;

 Trigger(OBJECT_TOUCH_TRIGGER, "003", "votkak");
 
 function message7()
MessageBox("Maps/SingleMissions/Path/EYE.txt")
Trigger(OBJECT_TOUCH_TRIGGER, "eye", nil);
end;
Trigger(OBJECT_TOUCH_TRIGGER, "eye", "message7");

function message8()
MessageBox("Maps/SingleMissions/Path/MEST.txt")
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "mest", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "mest", "message8");

function message9()
MessageBox("Maps/SingleMissions/Path/VRAJDA.txt")
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "vrajda", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "vrajda", "message9");

function message10()
MessageBox("Maps/SingleMissions/Path/NEZLO.txt")
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "nezlo", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "nezlo", "message10");

function message11()
MessageBox("Maps/SingleMissions/Path/TOVA.txt")
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "tova", nil);
end;

Trigger(REGION_ENTER_AND_STOP_TRIGGER, "tova", "message11");

function vot()
StartCombat("Gles",nil,3,32,30,33,25,38,5,nil,nil,nil);
 Trigger(REGION_ENTER_AND_STOP_TRIGGER, "zasada", nil);
end;

 Trigger(REGION_ENTER_AND_STOP_TRIGGER, "zasada", "vot");